package com.zjsgfa.project.zjsgfa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zjsgfa.framework.aspectj.lang.annotation.Excel;
import com.zjsgfa.framework.web.domain.BaseEntity;

/**
 * 地质构造总对象 dzgzzb
 * 
 * @author
 * @date 2025-07-08
 */
public class Dzgzzb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 地质分层 */
    @Excel(name = "地质分层")
    private String dzfc;

    /** 地层代码 */
    @Excel(name = "地层代码")
    private String dcdm;

    /** 接触面 */
    @Excel(name = "接触面")
    private String jcm;

    /** 主要岩性 */
    @Excel(name = "主要岩性")
    private String zyyx;

    /** 岩性描述 */
    @Excel(name = "岩性描述")
    private String yxms;

    /** 特殊岩性 */
    @Excel(name = "特殊岩性")
    private String tsyx;

    /** 最小厚度 */
    @Excel(name = "最小厚度")
    private Double zxhd;

    /** 最大厚度 */
    @Excel(name = "最大厚度")
    private Double zdhd;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setDzfc(String dzfc) 
    {
        this.dzfc = dzfc;
    }

    public String getDzfc() 
    {
        return dzfc;
    }

    public void setDcdm(String dcdm) 
    {
        this.dcdm = dcdm;
    }

    public String getDcdm() 
    {
        return dcdm;
    }

    public void setJcm(String jcm) 
    {
        this.jcm = jcm;
    }

    public String getJcm() 
    {
        return jcm;
    }

    public void setZyyx(String zyyx) 
    {
        this.zyyx = zyyx;
    }

    public String getZyyx() 
    {
        return zyyx;
    }

    public void setYxms(String yxms) 
    {
        this.yxms = yxms;
    }

    public String getYxms() 
    {
        return yxms;
    }

    public void setTsyx(String tsyx) 
    {
        this.tsyx = tsyx;
    }

    public String getTsyx() 
    {
        return tsyx;
    }

    public void setZxhd(Double zxhd) 
    {
        this.zxhd = zxhd;
    }

    public Double getZxhd() 
    {
        return zxhd;
    }

    public void setZdhd(Double zdhd) 
    {
        this.zdhd = zdhd;
    }

    public Double getZdhd() 
    {
        return zdhd;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dzfc", getDzfc())
            .append("dcdm", getDcdm())
            .append("jcm", getJcm())
            .append("zyyx", getZyyx())
            .append("yxms", getYxms())
            .append("tsyx", getTsyx())
            .append("zxhd", getZxhd())
            .append("zdhd", getZdhd())
            .toString();
    }
}
